nl.tudelft.simulation.xml.language

## Class ColorParser

- java.lang.Object
- - nl.tudelft.simulation.xml.language.ColorParser

    public final class ColorParser
    extends Object

(c) 2002-2018-2004 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl .

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Alexander Verbraeck

### Field Summary

Fields
`static URL` `COLORFILE_SCHEMA` the default mapfile.

### Method Summary

All Methods Static Methods Concrete Methods
`static Color` `parseColor(Element element)` parses a xml-element representing a Color

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COLORFILE_SCHEMA

    public static final URL COLORFILE_SCHEMA

the default mapfile.

### Method Detail

#### parseColor

    public static Color parseColor(Element element)
                            throws IOException

parses a xml-element representing a Color

Parameters:
  `element` - Element; The j-dom element
Returns:
  Color the color
Throws:
  `IOException` - on failure